Bug 109536 - mysql RH9 errata broke ifmonitor
mysql RH9 errata broke ifmonitor
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: mysql (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Patrick Macdonald
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-11-08 23:12 EST by Warren Togami
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-11-28 02:15:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Warren Togami 2003-11-08 23:12:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.5)
Gecko/20031022 Firebird/0.7

Description of problem:
https://bugzilla.fedora.us/show_bug.cgi?id=946
http://videl.ics.hawaii.edu/~warren/fedora/ifmonitor-0.30-0.fdr.3.src.rpm
http://videl.ics.hawaii.edu/~warren/fedora/md5sums.asc

ifmonitor is a very simple MySQL + PHP bandwidth monitor for Linux
hosts.  A simple C daemon stores your bandwidth usage in a MySQL
table, and the bandwidth data can be viewed with a simple PHP web
interface.

Known Problem:
ifmonitor fails to insert data into mysql-3.23.56-1.9 from RH9 Errata
and mysql-3.23.58-4 from FC1. The original mysql-3.23.54a-11 from RH9
stock works fine with ifmonitor.  Posting here to make sure this isn't
an upstream problem.

The upstream author does not have any Red Hat boxes or time so he
cannot look at the problem.  Any ideas?

Version-Release number of selected component (if applicable):
Broken versions:
mysql-3.23.56-1.9
mysql-3.23.58-4

Working version:
mysql-3.23.54a-11

How reproducible:
Always

Steps to Reproduce:
1. Configure ifmonitor.
2. Enable it.
    
Actual Results:  
Fails to insert data into mysql table with mysql-server from RH9
errata and FC1, however works fine with RH9 stock mysql-server.

Expected Results:  
Should still work.
Comment 1 Patrick Macdonald 2003-11-10 10:11:33 EST
Warren,

Your going to have to give me a little more to go on.  I can insert
data into MySQL using PHP with the current version.  Have you tried 
inserting data into your database just using PHP?
Comment 2 Warren Togami 2003-11-10 13:08:44 EST
Other uses of mysql work.  I am just perplexed as to why ifmonitor's
tiny C daemon fails to INSERT data after upgrading to RH9's errata
mysql-server, or FC1's mysql-server.  After a downgrade back to RH9
stock mysql-server, it works again.  Some behavior changed.
Comment 3 Patrick Macdonald 2003-11-11 17:54:14 EST
What does the mysql_query() call in save_values() (save.c) return when
the insert fails?
Comment 4 Warren Togami 2003-11-28 02:15:09 EST
Sorry, suddenly it works with the latest mysql errata.  I don't
understand what happened, but I'm not complaining.

Note You need to log in before you can comment on or make changes to this bug.